import { ref, computed } from 'vue';
import { defineStore } from 'pinia';
import { AxiosWrapper } from '@/util/axios-wrapper';
import _ from 'lodash';

import type { IQueryType, IQueryResult } from '@/util/types.util';
const axios = new AxiosWrapper();
const api = {
  url: `/material/v1/api/Statistics`
};
export const StatisticsStore = defineStore('statistics', () => {
  const count = ref(0);
  const doubleCount = computed(() => count.value * 2);
  function increment() {
    count.value++;
  }
  const order = async (): Promise<IQueryResult> => {
    const cond: IQueryType = {};
    const res = await axios.$get(`${api.url}/order`, cond);
    return res;
  };
  const user = async (): Promise<IQueryResult> => {
    const cond: IQueryType = {};
    const res = await axios.$get(`${api.url}/user`, cond);
    return res;
  };
  return {
    count,
    doubleCount,
    increment,
    order,
    user,
    fetch
  };
});
